PHP: Hypertext Preprocessor, popularly called PHP, is a famous scripting language, which can be used to build dynamic websites with interactive components such as forums, e-teaching websites or social networking websites. In contrast to static HTML-based sites, a PHP-driven site can display different web content to each user under the very same URL. Because PHP-based web-based apps can be managed via a single Control Panel tool, which you can sign on to using any online browser, you won’t need to possess any computer programming capabilities or past experience whatsoever to run a PHP-driven site. The fact that 100s of millions of websites around the world are based on PHP is an indication of the language’s popularity and ease of use. You only have to confirm that the web server on which your website is hosted supports the same PHP version as the one that you used whilst creating the website.

PHP 4, PHP 5 and PHP 7 Support in Hosting

Our hosting servers support several PHP versions, which goes to say that your sites will work faultlessly no matter if your PHP-based scripts are outdated. We recognize the fact that an old site does not automatically mean an insecure one as you may have done lots of mods to its source code. That’s the reason why we support PHP 4, PHP 5 and PHP 7 and you can choose which version will be enabled for your account. The version can be changed with one single mouse click from your Hepsia Control Panel and the update will be applied instantly. If you wish to run both newer and older scripts, there is even an option to use a different version of PHP for each domain name of yours at the same time.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Servers

In case you’ve got a site based on an older version of PHP and you have put in time and effort into developing it, repairing security gaps and adding web page content, you’ll need a hosting service that can support it, since the majority of web hosting providers these days support only the most recently published version of PHP and remove the older ones. We, however, have decided to let you choose the exact version that your very own sites need. Our semi-dedicated hosting plans support PHP 4, PHP 5 and PHP 7, which goes to say that you’ll be able to use both older and newer scripts without forfeiting any custom settings or wasting time and effort attempting to make your websites compatible with the hosting environment. You can change the current version through the Hepsia hosting Control Panel and such a change will affect the entire semi-dedicated account, but you will also have the ability to specify a different version of PHP for each individual site that you host in your account by using an .htaccess configuration file.